import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommunicationChannelSchema } from '../enums/CommunicationChannel.schema';
import { CommunicationDirectionSchema } from '../enums/CommunicationDirection.schema';
import { CommunicationStatusSchema } from '../enums/CommunicationStatus.schema';
import { UserCreateNestedOneWithoutCommunicationsInputObjectSchema as UserCreateNestedOneWithoutCommunicationsInputObjectSchema } from './UserCreateNestedOneWithoutCommunicationsInput.schema'

const makeSchema = () => z.object({
  channel: CommunicationChannelSchema,
  direction: CommunicationDirectionSchema,
  status: CommunicationStatusSchema,
  body: z.string().optional().nullable(),
  callDuration: z.number().int().optional().nullable(),
  twilioSid: z.string().optional().nullable(),
  createdAt: z.coerce.date().optional(),
  user: z.lazy(() => UserCreateNestedOneWithoutCommunicationsInputObjectSchema).optional()
}).strict();
export const CommunicationCreateWithoutPatientInputObjectSchema: z.ZodType<Prisma.CommunicationCreateWithoutPatientInput> = makeSchema() as unknown as z.ZodType<Prisma.CommunicationCreateWithoutPatientInput>;
export const CommunicationCreateWithoutPatientInputObjectZodSchema = makeSchema();
